View Issue Details

IDProjectCategoryView StatusLast Update
0016941mantisbtdb mysqlpublic2014-12-08 00:34
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016941: Change default db type from mysql to mysqli
Description

The mysql extension is deprecated as of PHP 5.5.0 [1] so we should use mysqli as our default database type.

[1] http://php.net/intro.mysql

TagsNo tags attached.

Relationships

related to 0016968 closeddregad Admin checks (database) fail for mysqli 

Activities

Related Changesets

MantisBT: master c13c74b2

2014-01-28 19:15:38

dregad

Details Diff
Change default from mysql to mysqli

The mysql extension is deprecated as of PHP 5.5.0 [1] so we use mysqli
as our default database type.

Commit includes relevant changes in installer, admin checks and
documentation (admin guide).

Fixes 0016941

[1] http://php.net/intro.mysql
mod - admin/check/check_database_inc.php Diff File
mod - admin/install.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
mod - docbook/Admin_Guide/en-US/Installation.xml Diff File

Issue History

Date Modified Username Field Change
2014-02-08 16:46 dregad New Issue
2014-02-08 16:46 dregad Assigned To => dregad
2014-02-08 16:46 dregad Status new => assigned
2014-02-08 16:46 dregad Note Added: 0039353
2014-02-13 15:04 dregad Changeset attached => MantisBT master c13c74b2
2014-02-13 15:04 dregad Status assigned => resolved
2014-02-13 15:04 dregad Resolution open => fixed
2014-02-13 15:04 dregad Fixed in Version => 1.3.0dev
2014-02-13 16:04 atrol Fixed in Version 1.3.0dev => 1.3.0-beta.1
2014-02-14 05:35 dregad Relationship added related to 0016968
2014-02-14 09:08 atrol Product Version 1.3.0dev =>
2014-12-08 00:34 vboctor Status resolved => closed